{ pkgs, config, ... }:
{
  services.ddclient = {
    enable = true;
    protocol = "cloudflare";
    use = "web, web=https://ipinfo.io/ip";
    zone = "${config.secrets.jimDomain}";
    username = "token";
    passwordFile = "${pkgs.writeText "cloudflareapikey" config.secrets.flareApiKey}";
    domains = [
      "${config.secrets.jimDomain}"
      "*.${config.secrets.jimDomain}"
      "sv.${config.secrets.jimDomain}"
      "git.${config.secrets.jimDomain}"
      "rtmp.${config.secrets.jimDomain}"
      "turn.${config.secrets.jimDomain}"
      "dew.${config.secrets.jimDomain}"
      "john.${config.secrets.jimDomain}"
      "beta.${config.secrets.jimDomain}"
      "rogue.${config.secrets.jimDomain}"
    ];
  };
}
