{ pkgs, config, ... }:
{
  services.mastodon = {
    enable = true;
    localDomain = "social.${config.secrets.jimDomain}";
    streamingProcesses = 4;
    configureNginx = true;
    smtp = {
      createLocally = false;
      host = "mx.${config.secrets.jimDomain}";
      port = 587;
      authenticate = true;
      fromAddress = "Jimbo's Mastodon <noreply@${config.secrets.jimDomain}>";
      user = "noreply@${config.secrets.jimDomain}";
      passwordFile = pkgs.writeText "smtp_pass.txt" config.secrets.noreplyPassword;
    };
  };
}
