{ config, ... }:
{
  imports = [
    ./nginx
  ];

  services.vaultwarden = {
    enable = true;
    config = {
      DOMAIN = "https://warden.${config.secrets.jimDomain}";
      SIGNUPS_ALLOWED = false;
      ROCKET_ADDRESS = "127.0.0.1";
      ROCKET_PORT = 8222;
      ROCKET_LOG = "critical";

      # Smtp email
      SMTP_HOST = "mx.${config.secrets.jimDomain}";
      SMTP_FROM = "Jimbo's Vaultwarden <noreply@${config.secrets.jimDomain}>";
      SMTP_FROM_NAME = "Vaultwarden";
      SMTP_USERNAME = "noreply@${config.secrets.jimDomain}";
      SMTP_PASSWORD = config.secrets.noreplyPassword;
      SMTP_SECURITY = "starttls";
      SMTP_PORT = 587;
      SMTP_TIMEOUT = 15;
    };
  };
}
